Subject: Re: [kernel] powerpc: Make vmalloc_to_phys() public

From: Anshuman Khandual <[email-masked]>
Date: Mon, 25 Jan 2016 11:51:05 +0530

On 01/25/2016 11:16 AM, Michael Ellerman wrote:
> On Thu, 2016-21-01 at 07:35:08 UTC, Alexey Kardashevskiy wrote:
>> > This makes vmalloc_to_phys() public as there will be another user
>> > (in-kernel VFIO acceleration) for it soon.
>> > 
>> > As a part of future little optimization, this changes the helper to call
>> > vmalloc_to_pfn() instead of vmalloc_to_page() as the size of the
>> > struct page may not be power-of-two aligned which will make gcc use
>> > multiply instructions instead of shifts.
> You should also mention why you need to export it, presumably because whatever
> new user you have in mind can be built as a module.

Unless the change specifically mentions about the use case, there
are a tons of static helper functions which can be exported to public
for module usage. Ideally this change should be part of the series
which actually needs the helper function to be available in public
not a stand alone one.